﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Data.Core.Model
{
    class ObjectTester<T>
    {
        private IEnumerable<KeyValuePair<string,object>> filterProperties;
        private List<string> objectProperties;

        public ObjectTester(IDictionary<string, object> filterProperties)
        {
            objectProperties = new List<string>(typeof(T).GetProperties().Select(_ => _.Name));

            this.filterProperties = filterProperties.Where(_ =>
                {
                    return objectProperties.Contains(_.Key);
                });
        }

        internal bool Match(T objectToTest)
        {
            foreach (var property in filterProperties)
            {
                if (!typeof(T).GetProperty(property.Key).GetValue(objectToTest, null).Equals(property.Value))
                {
                    return false;
                }
            }

            return true;
        }
    }
}
