﻿using System;
using System.Web.Mvc;
using System.IO;
using Queue;

namespace Web.UI.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        [HttpGet]
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to NASA CV Submitter! Please complete the details below!";

            return View();
        }

        [HttpPost]
        public ActionResult Index(string candidateName)
        {
            string message = string.Empty;
            if (string.IsNullOrWhiteSpace(Request.Files[0].FileName))
            {
                message = string.Format("Please provide us with a CV for {0}", string.IsNullOrWhiteSpace(candidateName) ? "Unknown applicant" : candidateName);
            }
            else
            {
                message = string.Format("Thank you for uploading {0}'s CV ({1})", candidateName, Request.Files[0].FileName);
                byte[] fileData = null;
                using (var binaryReader = new BinaryReader(Request.Files[0].InputStream))
                {
                    fileData = binaryReader.ReadBytes(Request.Files[0].ContentLength);
                }

                // here plz
            }

            ViewData["Message"] = message;

            return View();
        }



        public ActionResult About()
        {
            return View();
        }
    }
}
